Package org.alfresco.rest.api.rules
Class NodeRuleSettingsRelation
java.lang.Object
org.alfresco.rest.api.rules.NodeRuleSettingsRelation
- All Implemented Interfaces:
RelationshipResourceAction.ReadById<RuleSetting>,RelationshipResourceAction.Update<RuleSetting>,ResourceAction,org.springframework.beans.factory.InitializingBean
@Experimental
@RelationshipResource(name="rule-settings",
entityResource=NodesEntityResource.class,
title="Folder rule settings")
public class NodeRuleSettingsRelation
extends Object
implements RelationshipResourceAction.ReadById<RuleSetting>, RelationshipResourceAction.Update<RuleSetting>, org.springframework.beans.factory.InitializingBean
Folder node rule settings (rule inheritance).
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionvoidreadById(String folderId, String ruleSettingKey, Parameters parameters) Get the given configuration value for the specified folder.voidsetRuleSettings(RuleSettings ruleSettings) update(String folderId, RuleSetting ruleSetting, Parameters parameters) Set the value of a rule setting for the specified folder.
-
Constructor Details
-
NodeRuleSettingsRelation
public NodeRuleSettingsRelation()
-
-
Method Details
-
afterPropertiesSet
- Specified by:
afterPropertiesSetin interfaceorg.springframework.beans.factory.InitializingBean- Throws:
Exception
-
readById
public RuleSetting readById(String folderId, String ruleSettingKey, Parameters parameters) throws RelationshipResourceNotFoundException Get the given configuration value for the specified folder.- GET /nodes/{folderId}/rule-settings/{ruleSettingKey}
- Specified by:
readByIdin interfaceRelationshipResourceAction.ReadById<RuleSetting>- Parameters:
folderId- The id of the folder.ruleSettingKey- The setting to retrieve.parameters- Unused.- Returns:
RuleSettingThe current value of the setting.- Throws:
RelationshipResourceNotFoundException
-
update
Set the value of a rule setting for the specified folder.PUT /nodes/{folderId}/rule-settings/{ruleSettingKey}
- Specified by:
updatein interfaceRelationshipResourceAction.Update<RuleSetting>- Parameters:
folderId- The id of the folder.ruleSetting- The new value of the rule setting.parameters- Unused.- Returns:
- The updated rule setting.
-
setRuleSettings
-